<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon May 18 23:41:36 CEST 2020 -->
<title>ModbusAccessor</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ModbusAccessor";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/PollTask.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/ModbusAccessor.html" target="_top">Frames</a></li>
<li><a href="ModbusAccessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.field</div>
<h2 title="Class ModbusAccessor" class="title">Class ModbusAccessor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.net.Socket</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.field.ModbusAccessor</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ModbusAccessor</span>
extends java.net.Socket</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#MBAP_LENGTH">MBAP_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#TRANSACTION_IDENTIFIER">TRANSACTION_IDENTIFIER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#connectToServer-java.lang.String-int-">connectToServer</a></span>(java.lang.String&nbsp;host,
               int&nbsp;server_port)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#getInstance--">getInstance</a></span>()</code>
<div class="block">returns singleton from the ModbusAccessor class</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#readBoolean-int-">readBoolean</a></span>(int&nbsp;address)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#readFloat-int-">readFloat</a></span>(int&nbsp;address)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#writeBoolean-boolean-int-">writeBoolean</a></span>(boolean&nbsp;value,
            int&nbsp;address)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html#writeFloat-float-int-">writeFloat</a></span>(float&nbsp;value,
          int&nbsp;address)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.net.Socket">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.net.Socket</h3>
<code>bind, close, connect, connect, getChannel, getInetAddress, getInputStream, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TRANSACTION_IDENTIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSACTION_IDENTIFIER</h4>
<pre>public static final&nbsp;int TRANSACTION_IDENTIFIER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.TRANSACTION_IDENTIFIER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MBAP_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MBAP_LENGTH</h4>
<pre>public static final&nbsp;int MBAP_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.MBAP_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</h4>
<pre>public static final&nbsp;int WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.WRITE_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</h4>
<pre>public static final&nbsp;int WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.WRITE_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</h4>
<pre>public static final&nbsp;int READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.READ_MULTIPLE_REGISTERS_REQUEST_PDU_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</h4>
<pre>public static final&nbsp;int READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#ch.hevs.isi.field.ModbusAccessor.READ_MULTIPLE_REGISTERS_RESPONSE_PDU_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a>&nbsp;getInstance()</pre>
<div class="block">returns singleton from the ModbusAccessor class</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>singleton from the ModbusAccessor class</dd>
</dl>
</li>
</ul>
<a name="connectToServer-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectToServer</h4>
<pre>public&nbsp;void&nbsp;connectToServer(java.lang.String&nbsp;host,
                            int&nbsp;server_port)
                     throws java.io.IOException</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>host</code> - the name of the host as String</dd>
<dd><code>server_port</code> - the number of the server port to connect to</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="writeFloat-float-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeFloat</h4>
<pre>public&nbsp;void&nbsp;writeFloat(float&nbsp;value,
                       int&nbsp;address)
                throws java.lang.Exception</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the float value to write in the registers</dd>
<dd><code>address</code> - address of the modbus registers</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="writeBoolean-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeBoolean</h4>
<pre>public&nbsp;void&nbsp;writeBoolean(boolean&nbsp;value,
                         int&nbsp;address)
                  throws java.lang.Exception</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - boolean value to write in the registers</dd>
<dd><code>address</code> - address of the modbus registers</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="readFloat-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFloat</h4>
<pre>public&nbsp;float&nbsp;readFloat(int&nbsp;address)
                throws java.lang.Exception</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - address of the modbus registers to read</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>float value at the desired address</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="readBoolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readBoolean</h4>
<pre>public&nbsp;boolean&nbsp;readBoolean(int&nbsp;address)
                    throws java.lang.Exception</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>address</code> - address of the modbus registers to read</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean value at the desired address</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.lang.Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/PollTask.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/ModbusAccessor.html" target="_top">Frames</a></li>
<li><a href="ModbusAccessor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
